Use Cygnus as Submodule

Previous, this was a submodule, and Cygnus was one as well. I'm now using Cygnus here as submodule which allows choosing the version. I'm starting with V2.0 stable currently. I've updated all requires to the new path as well.
5 jobs for submodule in 1 minute and 37 seconds (queued for 2 seconds)
Status Job ID Name Coverage
  Lint
passed #3011
lint:lint-php5.4

00:00:50

passed #3012
lint:lint-php5.6

00:00:48

passed #3013
lint:lint-php7.0

00:00:48

passed #3014
lint:lint-php7.1

00:00:48

 
  Codesniffer
passed #3015
allowed to fail
codesniffer

00:00:47